/***가구소득을 구성하는 방법***/ 

clear
cd "D:\klips\Stata"

use klips22h, replace 

keep if hwave22==1

// h**2102: (작년한해) 총근로소득
// h**2112: (작년한해) 금융소득-1.은행 등 금융기관 이자/투자소득
// h**2113: (작년한해) 금융소득-2.사채 등 비금융기관 이자수입
// h**2114: (작년한해) 금융소득-3.주식/채권 매매차익
// h**2115: (작년한해) 금융소득-4.배당금
// h**2122: (작년한해) 부동산소득-월세 등 임대료 
// h**2123: (작년한해) 부동산소득-부동산 매매차익
// h**2124: (작년한해) 부동산소득-토지를 도지준 것 
// h**2125: (작년한해) 부동산소득-권리금
// h**2126: (작년한해) 부동산소득-기타 
// h**2134, h**2136 h**2138 h**2140 h**2142: (작년한해) 사회보험 금액 1-5
// h**2152: (작년한해) 이전소득액수-1.국민기초생활보호대상
// h**2153: (작년한해) 이전소득액수-2.기타 정부보조금
// h**2155: (작년한해) 이전소득액수-3.사회단체 보조금
// h**2157: (작년한해) 이전소득액수-4.따로사는 부모님(배우자 부모님 포함) 도움
// h**2158: (작년한해) 이전소득액수-5.따로 사는 자녀의 도움
// h**2159: (작년한해) 이전소득액수-6.그외 친척/친지 보조금
// h**2160: (작년한해) 이전소득액수-7.기타
// h**2183: (작년한해) 기타소득액수-1.보험금-손해보험
// h**2184: (작년한해) 기타소득액수-2.보험금-저축성 보험
// h**2185: (작년한해) 기타소득액수-3.보험금-종신보험
// h**2186: (작년한해) 기타소득액수-4.퇴직금
// h**2187: (작년한해) 기타소득액수-5.증여/상속
// h**2188: (작년한해) 기타소득액수-6.축의금/조의금
// h**2189: (작년한해) 기타소득액수-7.당첨상금/ 상 상금
// h**2190: (작년한해) 기타소득액수-8.재해 보상금
// h**2191: (작년한해) 기타소득액수-9.기타
// h**4002: (작년한해) 근로장려세제 지원금
// h**4004: (작년한해) 자녀장려금 지원금

// 결측치 처리 //
#delimit;
recode h222102 h222112 h222112 h222113 h222116 h222122-h222126 
h222134 h222136 h222138 h222140 h222142 
h222152 h222153 h222155 h222157-h222160 h222183-h222191 h224002 h224004 (-1=.);
#delimit cr

/**항목별 소득총계**/ 

// (참고)13차부터 제도변화에 따라 근로장려세제를 추가로 질문하였음. 총가구소득시에는 이전소득으로 포함하여 계산함
// (참고)19차부터 자녀장려금을 추가로 질문하였음. 총가구소득시에는 이전소득으로 포함하여 계산함

gen inc_e=h222102 
lab var inc_e "근로소득"
egen inc_m=rowtotal(h222112 h222113 h222115 h222116)
lab var inc_m "금융소득"
egen inc_p=rowtotal(h222122-h222126)
lab var inc_p "부동산 소득"
egen inc_i=rowtotal(h222134 h222136 h222138 h222140 h222142)
lab var inc_i "사회보험 소득"
egen inc_t=rowtotal(h222152 h222153 h222155 h222157-h222160 h224002 h224004) 
lab var inc_t "이전소득"
egen inc_o=rowtotal(h222183-h222191) 
lab var inc_o "기타소득"


/**소득유무**/

// h**2101: (작년한해) 근로소득자 유무
// h**2111: (작년한해) 금융소득 유무 
// h**2121: (작년한해) 부동산소득 유무 
// h**2131: (작년한해) 사회보험 수혜자 여부 
// h**2151: (작년한해) 이전소득 여부
// h**4001: (작년한해) 근로장려소득세제 지원여부 
// h**4003: (작년한해) 자녀장려금 지원여부
// h**2181: (작년한해) 기타소득 유무

gen inc_ey=h222101 // 근로소득 유무
lab var inc_ey "근로소득 유무"
gen inc_my=h222111 // 금융소득 유무
lab var inc_my "금융소득 유무"
gen inc_py=h222121 // 부동산소득 유무
lab var inc_py "부동산 소득 유무"
gen inc_iy=h222131 // 사회보험 유무
lab var inc_iy "사회보험 유무"
gen inc_ty=1 if h222151==1 | h224001==1 | h224003==1 
replace inc_ty=2 if h222151==2 & h224001==2 & h224003==2 // 이전소득 유무
lab var inc_ty "이전소득 유무"
gen inc_oy=h222181 // 기타소득 유무
lab var inc_oy "기타소득 유무"

 
/**가구 총소득**/

egen inc=rowtotal(inc_e inc_m inc_p inc_i inc_t inc_o),mis
lab var inc_ey "가구 총소득"

tab1 inc_ey inc_my inc_py inc_iy inc_ty inc_oy
sum inc

save "D:\klips\Stata\data\exaple.dta", replace 
